| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Attributes | List of all members
Tp::SocketAddressIP Struct Reference
Types and constants » Structure types

`#include <TelepathyQt/Types>`

## Public Attributes

QString | address
ushort | port

## Detailed Description

Structure type generated from the specification.

An IP address and port.

## Member Data Documentation

QString Tp::SocketAddressIP::address

Either a dotted-quad IPv4 address literal as for Socket_Address_IPv4, or an RFC2373 IPv6 address as for Socket_Address_IPv6.

ushort Tp::SocketAddressIP::port

The TCP or UDP port number.